import React from 'react'
import { injectGlobal } from 'styled-components'

const GlobalStyles = ({ theme }) => {
  injectGlobal`
    html {
      height: 100%;
      min-width: auto;
      margin: 0;

      color: ${theme.colors.dark[0]};
      background: ${theme.colors.tint[0]};

      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      font-smoothing: antialiased;
    }

    html,
    input {
      font-family: ${theme.fonts.sans};
      font-size: ${theme.textStyles.body1.fontSize};
      font-weight: ${theme.textStyles.body1.fontWeight};
      line-height: ${theme.textStyles.body1.lineHeight};
      letter-spacing: ${theme.textStyles.body1.letterSpacing};
    }

    body {
      min-height: 100%;
      display: flex;
      flex-direction: column;
    }

    #root {
      display: flex;
      flex: 1;
    }

    *, *:before, *:after {
      box-sizing: border-box;
    }

    strong {
      font-weight: 500;
    }

    em {
      font-style: italic;
    }
  `

  return null
}

export default GlobalStyles
