import React, { PropTypes } from 'react'
import styled, { css } from 'styled-components'
import Box from './Box'
import Text from './Text'

const styles = ({
  theme
}) => css`
  border-bottom: 1px solid ${theme.colors.tint[1]};
  border-left: 1px solid ${theme.colors.tint[1]};
  border-bottom-left-radius: ${theme.borderRadius[0]};
`

const ValidationMessageLine = styled(Box)`${styles}`

ValidationMessageLine.defaultProps = {
  width: '8px',
  height: '10px',
  display: 'inline-block',
  position: 'relative',
  marginLeft: 2,
  top: '-3px',
  marginRight: 1
}

const ValidationMessage = props =>
  <Box position='relative'>
    <ValidationMessageLine />
    <Text {...props} />
  </Box>

ValidationMessage.propTypes = {
  ...Box.propTypes
}

ValidationMessage.defaultProps = {
  textStyle: 'body2',
  display: 'inline-block',
  paddingTop: 1,
  muted: 2
}

ValidationMessage.displayName = 'ValidationMessage'

export default ValidationMessage
